# -*- coding: utf-8 -*-

def getEditAreaPythonScript(self):
    """ call the need function that returns the editable part  """

    return self.body()

def getEditAreaDTMLDocument(self):
    """ call the need function that returns the editable part """

    return self.document_src()

def getEditAreaDTMLMethod(self):
    """ call the need function that returns the editable part """

    return self.document_src()

def getEditAreaZopePageTemplate(self):
    """ call the need function that returns the editable part """

    return self.read()

def getEditAreaFile(self):
    """ call the need function that returns the editable part """
    
    ct = self.getContentType()
    if (ct.startswith('text') \
       or ct.endswith('javascript')) \
       and self.get_size() < 65536:
        return str(self)

    self.REQUEST.RESPONSE.redirect('%s/manage_editForm' %(self.absolute_url()))

from config import OVERALL_DEFAULT_LANGUAGE
def getEditAreaLanguage(self):
    """ try to read the prefered browser language """

    try:
        REQUEST = self.REQUEST
    except:
        return OVERALL_DEFAULT_LANGUAGE ## should never happen

    ## the the browser language
    hal = REQUEST.get('HTTP_ACCEPT_LANGUAGE', '')
    if hal:
        parts = hal.split(',')
        for part in parts:
            if len(part)>=2:
                browser_lang = part[:2]   ## we always need only the first 2 digits
                if browser_lang in self.availableEditAreaLanguages:
                    return browser_lang

    ## return default if there is no browser language
    return OVERALL_DEFAULT_LANGUAGE
